Back to reference
POST/wallets/users
Wallets

Create customer wallet

Creates a primary wallet for an existing customer.

Access tierbusiness_operatorRate limit20/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/app/Http/Controllers/Api/WalletApiController.php::createUserWalletLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...

Request body

CreateCustomerWalletRequestRequired
owner_id
integer
Example: 2201
currency_code
string
Example: YER

JSON example

{
  "owner_id": 2201,
  "currency_code": "YER"
}

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
  --url 'https://sandbox-api.luxpay.example/v1/wallets/users' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "owner_id": 2201,
  "currency_code": "YER"
}'

Responses

201Successful response.
status
boolean
Example: true
message
string | null
data
Wallet
{
  "status": true,
  "message": "string",
  "data": {
    "id": 42,
    "uuid": "6ee4b4a8-9f8d-4f18-a586-b32c4593b094",
    "owner_type": "customer",
    "owner_id": 2201,
    "wallet_type": "primary",
    "status": "active",
    "currency_code": "YER",
    "account_number": "C-YER-00000042",
    "cached_balance": 5000,
    "cached_pending_balance": 0,
    "cached_held_balance": 500,
    "business_id": 10101,
    "branch_id": 7,
    "balance_verified_at": "2026-07-16T12:00:00Z",
    "meta": {},
    "created_at": "2026-07-16T12:00:00Z",
    "updated_at": "2026-07-16T12:00:00Z"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection